Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas
Interface IntArrayFS

All Superinterfaces:
  CommonArrayFS, FeatureStructure

All Known Implementing Classes:
  IntegerArray

    public interface IntArrayFS

extends CommonArrayFS

Interface for CAS int arrays. To create an int array object, use `CAS.createIntArrayFS()`.

Method Summary
`void` | `copyFromArray(int[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
`void` | `copyToArray(int srcOffset, int[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
`int` | `get(int index)` Get the element at position `index`.
`void` | `set(int index, int value)` Set a given element.
`int[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

Methods inherited from interface org.apache.uima.cas.CommonArrayFS
`copyFromArray, copyToArray, size, toStringArray`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Method Detail

### get

    int get(int index)

  Get the element at position `index`.

  Returns:
    The element.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `index` is out of bounds.

### set

    void set(int index,
             int value)
             throws ArrayIndexOutOfBoundsException

  Set a given element.

  Parameters:
    `index` - The index.
    `value` - The value.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `index` is out of bounds.

### copyToArray

    void copyToArray(int srcOffset,
                     int[] dest,
                     int destOffset,
                     int length)
                     throws ArrayIndexOutOfBoundsException

  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.

  Parameters:
    `srcOffset` - The index of the first element to copy.
    `dest` - The array to copy to.
    `destOffset` - Where to start copying into `dest`.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

### copyFromArray

    void copyFromArray(int[] src,
                       int srcOffset,
                       int destOffset,
                       int length)
                       throws ArrayIndexOutOfBoundsException

  Copy the contents of an external array into this array.

  Parameters:
    `src` - The source array.
    `srcOffset` - Where to start copying in the source array.
    `destOffset` - Where to start copying to in the destination array.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException`

### toArray

    int[] toArray()

  Create a Java array that is a copy of the internal CAS array.

  Returns:
    An array copy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.